Page tree

GRIB-API support is being discontinued at the end of 2018. Please consider upgrading to ecCodes

Skip to end of metadata
Go to start of metadata

Experimental packages

At the moment these packages are still experimental. Please report any issue with them to or via JIRA to .

Binary package notes


These packages are built with the default compilers for the platform. For Linux platforms that usually means GNU C (gcc) and Fortran (gfortran) compilers, the version that usually comes with a default installation

NetCDF support

grib_api packages have been compiled with NetCDF support for the following distributions. For these distributions you will need to install the netcdf package provided by that distribution before installing the grib_api packages. Otherwise you will get dependency errors.

CentOS 6.2 x86_64, Debian 7.0 x86_64, Fedora 16 x86_64, Fedora 18 x86_64, Ubuntu 12.04 x86_64, Ubuntu 13.04 x86_64

We will try in the future to compile NetCDF support in grib_api for all the distributions that include the netcdf library in their standard repositories.


Some components of grib_api are not available in some platforms. A minimum of python 2.5 is required to compile the python bindings and since some distributions ship with an older version we have chosen not to build the python bindings for those. In addition, some older platforms (like CentOS 4.4) do not offer libjasper anymore, so grib_api has been compiled without JPEG support there.

Compilation options

From version 1.11.0-2, rpm and deb packages are being compiled with the "-Wp,-D_FORTIFY_SOURCE=0 -O2" flags as it has been found that the default "-Wp,-D_FORTIFY_SOURCE=2 -O2" added by rpmbuild was creating some problems. For more information see GRIB-384 - Getting issue details... STATUS

Thread support

At the moment binary packages are being compiler without thread support. We would like to possibly study a bit further the impact of enabling this option by default for users that don't need such support. If you would prefer the binary packages to be compiled with thread support please contact The more interested users we have the more likely we will include it sooner than later.

Available platforms

We have a limited availability of build platforms for our software packages. If you want to have a binary for any platform not listed here you can tell us by sending an email to or reporting it via JIRA in We cannot cover all possible platforms but we are still interested on hearing from you.

Currently we are building binaries for the following platforms